Counts the occurrences of each distinct value in an array

- « array_combine

- array_diff_assoc »

- PHP Manual
- Array Functions
- Counts the occurrences of each distinct value in an array

# array_count_values

(PHP 4, PHP 5, PHP 7, PHP 8)

array_count_values — Counts the occurrences of each distinct value in an array

### Description

array_count_values(array `$array`): array

array_count_values() returns an array using the values of `array` (which must be ints or strings) as keys and their frequency in `array` as values.

### Parameters

`array`

  The array of values to count

### Return Values

Returns an associative array of values from `array` as keys and their count as value.

### Errors/Exceptions

Throws `E_WARNING` for every element which is not string or int.

### Examples

Example #1 array_count_values() example

    <?php$array = array(1, "hello", 1, "world", "hello");print_r(array_count_values($array));?>

The above example will output:

    Array
    (
        [1] => 2
        [hello] => 2
        [world] => 1
    )

### See Also

- count() - Counts all elements in an array or in a Countable object
- array_unique() - Removes duplicate values from an array
- array_values() - Return all the values of an array
- count_chars() - Return information about characters used in a string